GET /topics
Summary: List and search topics
Operation ID: listTopics
Auth: unknown
Operation ID: listTopics
Auth: unknown
Description
Search and filter through topics (research concepts and fields of study).
Parameters (6)
cursor
(string, query, optional)
Cursor token for deep pagination (start with 'cursor=*')
filter
(string, query, optional)
Filter constraints using field:value syntax. Multiple filters can be combined with commas (AND). Supports OR with pipe (|) and NOT with !. Examples: publication_year:2024, authorships.author.id:A5023888391, is_oa:true
page
(integer, query, optional, default: 1)
Page number for pagination (capped at 10,000 results total; use cursor for deeper pagination)
Constraints: {'minimum': 1}
per_page
(integer, query, optional, default: 25)
Number of results per page (default: 25, max: 100)
Constraints: {'minimum': 1, 'maximum': 100}
search
(string, query, optional)
Full-text search query
sort
(string, query, optional)
Sort order using field:direction syntax. Direction can be 'asc' or 'desc'. Example: cited_by_count:desc
Examples (6)
| Title | Type | URL | Action |
|---|---|---|---|
| List all topics with default pagination | curl |
https://api.openalex.org/topics |
|
| Search topics by name | curl |
https://api.openalex.org/topics?search=machine%20learning |
|
| Filter topics with custom pagination | curl |
https://api.openalex.org/topics?filter=display_name.search:artificial%20intelligence&per-page=50&page=1 |
|
| Search topics by name | doc_extracted |
https://api.openalex.org/topics?search=machine+learning |
|
| Search for CRISPR topic | doc_extracted |
https://api.openalex.org/topics?search=CRISPR |
|
| List topics | probe-gate |
https://api.openalex.org/topics?per_page=25 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:03:10.057606 | 200 | 544ms | |
| 2026-03-23 11:02:07.906446 | 200 | 1243ms | |
| 2026-03-23 10:46:34.409313 | 200 | 570ms | |
| 2026-03-23 10:30:04.347621 | 200 | 464ms | |
| 2026-03-23 09:43:07.520844 | 200 | 1473ms | |
| 2026-03-23 09:25:11.491735 | 200 | 544ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:43:07.520844 | 7fde270df705 |
3e908ab3cc96 |
| 2026-03-23 10:30:04.347621 | 3e908ab3cc96 |
3b31161a7217 |
| 2026-03-23 10:46:34.409313 | 3b31161a7217 |
6b25fb895ec7 |
| 2026-03-23 11:02:07.906446 | 6b25fb895ec7 |
0c84ad16a44f |
| 2026-03-23 11:03:10.057606 | 0c84ad16a44f |
0271dda998c5 |